/**
 * Legt die Blumenwelt an und die nicht beweglichen Objekte. 
 * 
 * @author Peter Brichzin
 * @version 12.12.19
 */
public class Blumenwelt extends GrafikWelt
{

    /**
     * Baut das Szenario auf.
     */
    public Blumenwelt()
    {
        super();
        // Diesen Abschnitt ignorieren, es werden die 10x10 Zellen der Welt erzeugt und positioniert
        for (int zellenNummerX = 0; zellenNummerX < 10; zellenNummerX = zellenNummerX +1)
        {
            for (int zellenNummerY = 0; zellenNummerY < 10; zellenNummerY += 1)
            {

                addObject(new Zelle("grün"), 50*zellenNummerX+25, 50*zellenNummerY+25);
            }
        }
        // Abschnittsende

        int nummer; //ein PLatzhalter für eine Nummer
        nummer = 1; //Startwert 1 für die Nummer
        
        while (nummer < 5)
        {
            addObject(new Blume(), 50*(2*nummer-1)+25, 50*nummer+25);
            addObject(new Blume(), 50*nummer+25, 50*(2*nummer+1)+25);
            nummer = nummer +1; 
        }
    }
}
