
/**
 * Der Zaum als Hindernis.
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
class Zelle extends Rechteck
{

    /**
     * Platziert eine Zelle
     * @param xLinksOben    x-Wert der Ecke links oben der Zelle
     * @param yLinksOben    y-Wert der Ecke links oben der Zelle
     * @param farbeNeu      Farbe der Zelle
     */
    Zelle (int xLinksOben, int yLinksOben, String farbeNeu)
    {
        super();
        this.PositionSetzen(xLinksOben, yLinksOben);
        this.GrößeSetzen(46, 46);
        this.FarbeSetzen(farbeNeu);
    }
    
    /**
     * Erzeugt eine Zelle in der gewünschten Farbe.
     * 
     * @param farbeNeu      Farbe der Zelle
     */
    Zelle (String farbeNeu)
    {
        GrößeSetzen(46, 46);
        this.FarbeSetzen(farbeNeu);
    }
}
